/***************
*
* g:\exe\txf\src\txfhelp.c
*/
#include "txf.h"

void errexit(char *errmes)
{
	fprintf(stderr, "\nError:%s\n", errmes);
	exit(1);
}

#if !NOHELP
void credit(char *name)
{
	int i = 0;
#if !TXFL
	char str[32][41]={
#else
	char str[28][41]={
#endif
	"[@filename]       commandfile",
	"[-a]              All switch(es) init.",
	"[-b [pos]]        notice Base position",
	"[-c value]        Centering",
	"[-d]              temporary Directory",
	"[-e old [new]]    Exchange strings",
#if !TXFL
	"[-ep]             P-Exchange module",
	"[-es]             S-Exchange module",
#endif
	"[-f value]        Format",
	"[-h & -?]         show Help",
	"[-i][filename]    Input filename",
	"[-io wildcard]    In/Out filename",
	"[-k{f|l} strings] Kinsoku characters",
	"[-kq strings]     Quote characters",
	"[-l maxpos]       set Line length",
#if !TXFL
	"[-lcx [wildcard]] use LCX module",
#endif
	"[-ml pos]         set Left  Margin",
	"[-mr pos]         set Right Margin",
	"[-n value]        No format",
#if !TXFL
	"[-npcut log npb]  find out NAPLPS data",
#endif
	"[-o filename2]    Output filename",
	"[-p]              Prohibit halfsize gap",
	"[-q]              understand Quotation",
	"[-r]              add Return code",
	"[-rb]             Remove .BAK file",
	"[-rz]             Remove ctrl-Z",
	"[-s character]    Separate character",
	"[-t size]         set Tabsize",
	"[-v[mode]]        set Viewmode",
	"[-x]              eXpand tabcode",
	"",""};

	fprintf(stderr, "OPTION:\n");
	while (str[i][0] != NUL) {
		fprintf(stderr, "%-40s%s\n", str[i], str[i+1]);
		i += 2;
	}

	exit(0);
}
#endif

